Skip to main content
GET
/
search-gift-cards
Search the gift card catalog
curl --request GET \
  --url https://laso.finance/search-gift-cards \
  --header 'Authorization: Bearer <token>'
{
  "gift_cards": [
    {
      "laso_server_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "currency": "USD",
      "country": "US",
      "min": 123,
      "max": 123,
      "increment": 123,
      "allowed_discrete_values": [
        123
      ],
      "product_image_url": "<string>",
      "catalog_info": {
        "brand_description": "<string>",
        "redemption_instructions": "<string>"
      }
    }
  ],
  "count": 123,
  "filters": {
    "query": "<string>",
    "country": "<string>",
    "currency": "<string>"
  }
}

Authorizations

Authorization
string
header
required

ID token from /auth or /get-card

Query Parameters

q
string

Search query to filter gift cards by name (e.g. "Amazon", "Uber")

country
string

ISO 3166-1 alpha-2 country code to filter by (e.g. "US", "GB")

currency
string

Currency code to filter by (e.g. "USD", "EUR")

Response

List of matching gift card products

gift_cards
object[]
count
integer

Number of results returned

filters
object